function [fparam,fvec]=user_equations 

xdim = 5; 
kdim = 11; 
fparam=[xdim,kdim]; 

f1 = 'p[1]*x[1]*(1-(x[1]+x[2]+x[3])/p[3])+p[1]*x[3]*(1-p[2])-p[4]*x[1]-p[5]*x[1]/(x[1]+x[2]+x[3])*x[5]*(1-exp(-p[8]*(x[1]+x[2]+x[3])))'; 
f2 = 'p[5]*x[1]/(x[1]+x[2]+x[3])*x[5]*(1-exp(-p[8]*(x[1]+x[2]+x[3])))-(p[4]+p[6])*x[2]'; 
f3 = 'p[1]*x[3]*(p[2]-(x[1]+x[2]+x[3])/p[3])+p[6]*p[7]*x[2]-p[4]*x[3]'; 
f4 = 'p[9]*x[4]*(1-x[4]/p[11])+p[10]/(x[1]+x[2]+x[3])*x[5]*(1-exp(-p[8]*(x[1]+x[2]+x[3])))'; 
f5 = '(p[4]+p[6]*(1-p[7]))*x[2]*x[4]-p[10]*x[5]'; 

fvec(1,1:length(f1)) = f1; 
fvec(2,1:length(f2)) = f2; 
fvec(3,1:length(f3)) = f3; 
fvec(4,1:length(f4)) = f4; 
fvec(5,1:length(f5)) = f5; 

 end 
