CreateUserEquations  := proc(g,xdim,kdim)

local fd, i, si, sname;

with(StringTools):

# Write equations  to user_equations.m
fd:=fopen("user_equations.m",WRITE); 
fprintf(fd, "function [fparam,fvec]=user_equations \n\n"); 
fprintf(fd, "xdim = %d; \n", xdim); 
fprintf(fd, "kdim = %d; \n", kdim); 
fprintf(fd, "fparam=[xdim,kdim]; \n\n"); 
for i from 1 to xdim do;  
    si:=convert(i,string); 
    sname:=cat("f",si); 
    fprintf(fd, "%a = '%a'; \n", parse(sname), g[i]);
end do; 
fprintf(fd, "\n"); 
for i from 1 to xdim do;  
    si:=convert(i,string); 
    sname:=cat("f",si); 
    fprintf(fd, "fvec(%d,1:length(%a)) = %a; \n", i, parse(sname), parse(sname)); 
end do; 

fprintf(fd, "\n end \n"); 
fclose(fd);

end proc;

