CreateUserInputs := proc(DIR,JOB,imap,x0,xdim,p0,kdim,tfinal,solution_only,NextGen,R0_only)

local fd, i, n, m;

# Write initial conditions and parameter values to user_inputs.m
fd:=fopen("user_inputs.m",WRITE); 
fprintf(fd, "function [DIR,JOB,imap,x0,p0,tfinal,solution_only,NextGen,R0_only]=user_inputs \n\n"); 

fprintf(fd, "DIR = '%s'; \n", DIR);
fprintf(fd, "JOB = '%s'; \n", JOB);

fprintf(fd, "\n"); 
fprintf(fd,"imap = %g; \n", imap);
fprintf(fd, "solution_only = %d; \n", solution_only);

fprintf(fd, "\n"); 
for i from 1 to xdim do;  
  fprintf(fd, "x0(%d,1) = %g; \n", i, x0[i]); 
end do; 

fprintf(fd, "\n"); 
for i from 1 to kdim do;  
  fprintf(fd, "p0(%d,1) = %g; \n", i, p0[i]); 
end do; 

fprintf(fd, "\n"); 
fprintf(fd, "tfinal = %g; \n", tfinal); 

n := ArrayTools[Size](NextGen)[2];

fprintf(fd, "\n");
for i from 1 to n do;
   fprintf(fd, "NextGen(%d,1) = %d; \n", i, NextGen[i]);
end do:

fprintf(fd, "\nR0_only = %d;\n",R0_only);

fprintf(fd, "\n end \n"); 

fclose(fd);

end proc;
