CreateUserPlotdata := proc(iplot_sensitivities,iplot_elasticities,
                           iplot_dxdp,iplot_dxdp_var,iplot_dxdp_param,
                           iplot_dxdz,
                           iplot_dqdp,iplot_dqdz,
                           iplot_cp, 
                           ilist,nilist,klist,nklist)

local fd, i;

# Write plot data to user_plotdata.m
fd:=fopen("user_plotdata.m",WRITE); 
fprintf(fd, "function [iplot,ilist,klist]=user_plot \n\n"); 

fprintf(fd, "iplot.sensitivities = %d; \n", iplot_sensitivities); 
fprintf(fd, "iplot.elasticities = %d; \n", iplot_elasticities); 

fprintf(fd, "iplot.dxdp.true = %d; \n", iplot_dxdp); 
fprintf(fd, "iplot.dxdp.var = %d; \n", iplot_dxdp_var); 
fprintf(fd, "iplot.dxdp.param = %d; \n", iplot_dxdp_param); 

fprintf(fd, "iplot.dxdz = %d; \n", iplot_dxdz);
 
fprintf(fd, "iplot.dqdp = %d; \n", iplot_dqdp); 
fprintf(fd, "iplot.dqdz = %d; \n", iplot_dqdz); 

fprintf(fd, "iplot.cp = %d; \n\n", iplot_cp);
 
for i from 1 to nilist do;
    fprintf(fd, "ilist(%d) = %d; \n", i, ilist[i]); 
end do; 
fprintf(fd, "\n"); 
for i from 1 to nklist do;  
  fprintf(fd, "klist(%d) = %d; \n", i, klist[i]); 
end do; 
fprintf(fd, "\n"); 
fprintf(fd, "end \n"); 
fclose(fd);

end proc;

