dgvec_dparam_middle :=  proc(gparam,gtotal)

local xdim, kdim, fd, gs, i, gx, j, si, sj, sname, dgdp;

with(CodeGeneration):
with(StringTools):

xdim:=gparam[1];
kdim:=gparam[2];

fd := fopen("MapleRoutines/mm_interface.out",APPEND);
fprintf(fd, "dgvec_dparam_middle \n");
fprintf(fd, "gtotal = %a \n", gtotal);
fprintf(fd, "xdim = %d \n", xdim);
fprintf(fd, "kdim = %d \n", kdim);

gs:=StringTools[Split](gtotal,";");
fprintf(fd, "gs = %a \n",gs);

for i from 1 to xdim do:
  fprintf(fd, "gs[%d] = %a \n",i,gs[i]);
end do:

for i from 1 to xdim do:
  gx[i]:=parse(gs[i]);
end do:

for i from 1 to xdim do:
  fprintf(fd, "gx[%d] = %a \n",i,gx[i]);
end do:

for i from 1 to xdim do:
   for j from 1 to kdim do:
      si := convert(i,string);
      sj := convert(j,string);
      sname := cat("dg",si,"dp",sj);
      fprintf(fd, "%d, %d, sname = %a \n",i,j,sname);
   end do:
end do:


fclose(fd);

for i from 1 to xdim do:
    for j from 1 to kdim do:
         dgdp[i,j]:= diff(gx[i],p[j]);
    end do:
end do:

for i from 1 to xdim do:
   for j from 1 to kdim do:
      si := convert(i,string);
      sj := convert(j,string);
      sname := cat("dg",si,"dp",sj);
      Matlab(dgdp[i,j], resultname=sname, output="dgvec_dparam.m");
   end do:
end do:

end proc;
