function [g] = gvec(x,p) 

g1 = p(3) * exp(-p(5) * (x(1) + x(2) + x(3) + x(4) + x(5) + x(6))) * (0.1e1 - p(2)) * x(1) + p(1) * (x(2) + 0.5e0 * x(4)) ^ 2 / (x(2) + x(4) + x(6));
g2 = p(3) * exp(-p(5) * (x(1) + x(2) + x(3) + x(4) + x(5) + x(6))) * p(2) * x(1) + p(4) * x(2);
g3 = (1 - p(6) * p(7)) * p(3) * exp(-(p(5) * (x(1) + x(2) + x(3) + x(4) + x(5) + x(6)))) * (1 - p(2)) * x(3) + 0.2e1 * p(1) * (x(2) + 0.5e0 * x(4)) / (x(2) + x(4) + x(6)) * (0.5e0 * x(4) + x(6));
g4 = (1 - p(6) * p(7)) * (p(3) * exp(-(p(5) * (x(1) + x(2) + x(3) + x(4) + x(5) + x(6)))) * p(2) * x(3) + (p(4) * x(4)));
g5 = (1 - p(7)) * p(3) * exp(-(p(5) * (x(1) + x(2) + x(3) + x(4) + x(5) + x(6)))) * (1 - p(2)) * x(5) + p(1) * (0.5e0 * x(4) + x(6)) ^ 2 / (x(2) + x(4) + x(6));
g6 = (1 - p(7)) * (p(3) * exp(-(p(5) * (x(1) + x(2) + x(3) + x(4) + x(5) + x(6)))) * p(2) * x(5) + (p(4) * x(6)));

g(1) = g1; 
g(2) = g2; 
g(3) = g3; 
g(4) = g4; 
g(5) = g5; 
g(6) = g6; 

end
