function [dgdx] = dgvec_dxvec(x,p) 

xdim=length(x);
dgdx = zeros(xdim,xdim); 

  dg1dx1 = -p(1)*((x(1)+x(2)+x(3))/p(2)-1.0)-p(3)*x(2)-p(4)-(p(1)*(x(1)+x(2)+x(3)))/p(2);
  dg1dx2 = -p(1)*((x(1)+x(2)+x(3))/p(2)-1.0)-p(3)*x(1)-(p(1)*(x(1)+x(2)+x(3)))/p(2);
  dg1dx3 = -p(1)*((x(1)+x(2)+x(3))/p(2)-1.0)-(p(1)*(x(1)+x(2)+x(3)))/p(2);
  dg2dx1 = p(3)*x(2);
  dg2dx2 = p(3)*x(1)-p(4)-p(5)-p(6);
  dg2dx3 = 0.0;
  dg3dx1 = 0.0;
  dg3dx2 = p(5);
  dg3dx3 = -p(4);

dgdx(1,1) = dg1dx1;
dgdx(1,2) = dg1dx2;
dgdx(1,3) = dg1dx3;
dgdx(2,1) = dg2dx1;
dgdx(2,2) = dg2dx2;
dgdx(2,3) = dg2dx3;
dgdx(3,1) = dg3dx1;
dgdx(3,2) = dg3dx2;
dgdx(3,3) = dg3dx3;

end