r0_bottom := proc(NextGen,gparam)

local fd, i,k, si, sk, sname, xdim, kdim;

fd:=fopen("r0_matrix.m",APPEND); 
 
fprintf(fd, "\n");

xdim:=gparam[1];
kdim:=gparam[2];

# R0=R0(x,p) so dR0dx and dR0dp should be iterated!
for i from 1 to xdim do:
    si := convert(i,string);
    sname := cat("dR0dx",si);
    fprintf(fd, "dR0dx(%d) = %a; \n",i,parse(sname));
end do:

for k from 1 to kdim do:
    sk := convert(k,string);
    sname := cat("dR0dp",sk);
    fprintf(fd, "dR0dp(%d) = %a; \n",k,parse(sname));
end do:

fprintf(fd, "\n");

fprintf(fd, "R0warnings.w1 = warning1; \n");
fprintf(fd, "R0warnings.w2F = warning2_F; \n");
fprintf(fd, "R0warnings.w2V = warning2_V; \n");
fprintf(fd, "R0warnings.w3 = warning3; \n");
fprintf(fd, "R0warnings.w4 = warning4; \n");
fprintf(fd, "R0warnings.w5 = warning5; \n");

fprintf(fd, "end\n");

fclose(fd);
end proc;
